
                (function() {
                    var nodeEnv = typeof require !== 'undefined' && typeof process !== 'undefined';
                    var __module = nodeEnv ? module : {exports:{}};
                    var __filename = 'preview-scripts/__qc_index__.js';
                    var __require = nodeEnv ? function (request) {
                        return cc.require(request);
                    } : function (request) {
                        return __quick_compile_project__.require(request, __filename);
                    };
                    function __define (exports, require, module) {
                        if (!nodeEnv) {__quick_compile_project__.registerModule(__filename, module);}
require('./assets/MetaBalls/SceneMetaBalls');
require('./assets/MetaBalls/Shader/MetaBalls/MetaBallsAssembler');
require('./assets/MetaBalls/Shader/MetaBalls/MetaBallsRenderer');
require('./assets/Shader/GTAssembler2D');
require('./assets/Shader/GTAutoFitSpriteAssembler2D');
require('./assets/Shader/GTSimpleSpriteAssembler2D');
require('./assets/TypeScript2/PhysicsPolygonColliderEx');
require('./assets/TypeScript2/test4');
require('./assets/extend/extend1/polybool');
require('./assets/script/PhysicsCollider');
require('./assets/script/render');
require('./assets/script/test');
require('./assets/script/test2');
require('./assets/script/water');
require('./assets/script/waterCube');

                    }
                    if (nodeEnv) {
                        __define(__module.exports, __require, __module);
                    }
                    else {
                        __quick_compile_project__.registerModuleFunc(__filename, function () {
                            __define(__module.exports, __require, __module);
                        });
                    }
                })();